## asylum 0.3.2

=== Makefile ===
HOST=generic
#HOST=mingw
#HOST=haiku

CC=g++
RM=rm
CFLAGS= -O3
COPTS=  $(CFLAGS) -funsigned-char \
	-DRESOURCEPATH=\"$(INSTALLRESOURCEPATH)\" \
	-DSCOREPATH=\"$(INSTALLHISCORES)\"
LIBS= -lm -lSDL -lSDL_mixer -lGL -lGLU
SRCS= alien.c asylum.c bullet.c file.c keyboard.c maze.c menus.c player.c projectile.c sound.c vdu.c

RESOURCES=data/Resources data/Ego data/Psyche data/Id data/Voices

INSTALLGROUP=games
CHGRP=chgrp
CHMOD=chmod

# For a non-root install, try something like this:
#
#INSTALLBIN=/home/blotwell/bin/asylum
#INSTALLRESOURCEPATH=/home/blotwell/lib/asylum
#INSTALLHISCORES=/home/blotwell/.asylum-hiscores
#
#INSTALLGROUP=foo
#CHGRP=echo
#CHMOD=echo
ifeq ($(HOST),haiku)
	CC=i586-pc-haiku-gcc
	COPTS+=$(CPPFLAGS) -D_NO_SOUND
	INSTALLBIN=/boot/common/games/asylum/asylum
	INSTALLRESOURCEPATH=/boot/common/games/asylum/data
	INSTALLHISCORES=/boot/common/games/asylum/hiscores
	OS_SOURCE=asylum_haiku.c
	LIBS=-lSDL_mixer -lSDL -lbe -lroot -ldevice -lgame -lGL -ltextencoding -lmedia
endif
ifeq ($(HOST),mingw)
	INSTALLBIN="c:/program files/asylum/asylum.exe"
	INSTALLRESOURCEPATH="c:/program files/asylum/data"
	INSTALLHISCORES="c:/program files/asylum/hiscores"
	OS_SOURCE=asylum_win.c
	RM=del
	EXE=.exe
	LIBS=-lm -lmingw32 -lSDL_mixer -lSDLmain -lSDL -mwindows
endif
ifeq ($(HOST),generic)
	INSTALLBIN=/usr/games/asylum
	INSTALLRESOURCEPATH=/usr/share/games/asylum
	INSTALLHISCORES=/var/games/asylum
endif

default: build

ifneq ($(HOST),mingw)
$(INSTALLBIN): asylum$(EXE) Makefile
	cp asylum$(EXE) $(INSTALLBIN)
	$(CHGRP) $(INSTALLGROUP) $(INSTALLBIN)
	$(CHMOD) g+s $(INSTALLBIN)
	$(CHMOD) a+x $(INSTALLBIN)

install-resources: $(RESOURCES) Makefile
	mkdir -p $(INSTALLRESOURCEPATH)
	cp -r $(RESOURCES) $(INSTALLRESOURCEPATH)/
	$(CHGRP) -R $(INSTALLGROUP) $(INSTALLRESOURCEPATH)/
	$(CHMOD) -R a+rX $(INSTALLRESOURCEPATH)/

install-hiscores: Makefile
	mkdir -p $(INSTALLHISCORES)
	touch $(INSTALLHISCORES)/EgoHighScores
	touch $(INSTALLHISCORES)/PsycheHighScores
	touch $(INSTALLHISCORES)/IdHighScores
	touch $(INSTALLHISCORES)/ExtendedHighScores
	$(CHGRP) -R $(INSTALLGROUP) $(INSTALLHISCORES)/*
	$(CHMOD) -R 660 $(INSTALLHISCORES)/*

install-binary: $(INSTALLBIN)

install: install-resources install-hiscores install-binary

uninstall:
	rm -rf $(INSTALLBINARY) $(INSTALLRESOURCEPATH) $(INSTALLHISCORES)
endif

oggs:
	bash -c 'pushd data; for i in */Music?; do pushd ..; ./asylum --dumpmusic $$i `if (echo \$$i|grep Resources.Music2>/dev/null); then echo -n --slower; fi`; \
	popd;\
	tail -c +33 $$i.au| \
	oggenc - --raw --raw-endianness=1 --raw-rate=22050 --artist="Andy Southgate" \
	--album="Background music for Asylum computer game" \
	>$$i.ogg;\
	rm $$i.au;\
	done; popd'

build: asylum$(EXE)

asylum$(EXE): $(SRCS) $(OS_SOURCE) asylum.h Makefile
	$(CC) $(COPTS) $(LDFLAGS) -o asylum$(EXE) $(SRCS) $(OS_SOURCE) $(LIBS)

clean:
	$(RM) asylum$(EXE)

=== debian/changelog ===
asylum (0.3.2-4) unstable; urgency=medium

  * Team upload.
  * Apply Multi-Arch: hint
  * Switch to debhelper-compat 13

  [ Niels Thykier ]
  * Declare explicit need for fakeroot due to non-root:root ownership

  [ Helmut Grohne ]
  * fix FTCBFS (Closes: #907441)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 15:38:48 +0100

asylum (0.3.2-3) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.4.
  * Move the package to Git and salsa.debian.org.
  * Drop deprecated menu file.

 -- Markus Koschany <apo@debian.org>  Thu, 17 May 2018 13:34:38 +0200

asylum (0.3.2-2) unstable; urgency=medium

  * Team upload.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.6.
  * Use compat level 9 and require debhelper >= 9.
  * Switch to source format 3.0 (quilt).
  * Use canonical Vcs-URI.
  * asylum-data: Suggest asylum.
  * asylum.desktop: Add keywords and comment in German.
  * Convert debian/rules to dh sequencer. Add asylum.manpages file.
  * Fix buffer overruns and compiler warnings.
    Thanks to Johann Klammer for the report and Peter De Wachter for the
    patches. (Closes: #785109)
  * Add ${misc:Depends} to asylum-data.
  * Add clean file and remove pre-built asylum binary.

 -- Markus Koschany <apo@debian.org>  Thu, 26 Nov 2015 20:50:18 +0100

asylum (0.3.2-1) unstable; urgency=low

  * New upstream upstream version.
  * Dropped our patches, they've been integrated upstream.
  * Bumped Standards-Version to 3.8.3. No changes needed.

 -- Peter De Wachter <pdewacht@gmail.com>  Sat, 07 Nov 2009 21:28:14 +0100

asylum (0.3.0-4) unstable; urgency=low

  * Make the menus work with internationalized keyboards. (Closes: #538772)
  * Redraw the window after receiving an expose event. (Closes: #525727)
  * Bumped Standards-Version to 3.8.2. No changes needed.

 -- Peter De Wachter <pdewacht@gmail.com>  Tue, 28 Jul 2009 22:09:01 +0200

asylum (0.3.0-3) unstable; urgency=low

  * Fixed endianness problems in the OpenGL rendering code. (Closes: #527568)

 -- Peter De Wachter <pdewacht@gmail.com>  Wed, 13 May 2009 00:28:54 +0200

asylum (0.3.0-2) unstable; urgency=low

  * Fixed permissions of high score files.

 -- Peter De Wachter <pdewacht@gmail.com>  Sun, 29 Mar 2009 18:01:12 +0200

asylum (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #490858)

 -- Peter De Wachter <pdewacht@gmail.com>  Tue, 17 Mar 2009 08:01:55 +0100

=== debian/control ===
Source: asylum
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Peter De Wachter <pdewacht@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev
Rules-Requires-Root: binary-targets
Standards-Version: 4.1.4
Homepage: http://sdl-asylum.sourceforge.net/
Vcs-Git: https://salsa.debian.org/games-team/asylum.git
Vcs-Browser: https://salsa.debian.org/games-team/asylum

Package: asylum
Architecture: any
Depends:
 asylum-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: surreal platform shooting game
 Young Sigmund has a few problems. To help him resolve his mental
 instability you must enter the surreal world of his inner mind and
 shut down the malfunctioning brain cells. Guide Sigmund through the
 Ego, Psyche and Id zones - each one 300 times the size of the screen -
 to locate the eight renegade neurons, entering them one by one to find
 and trigger their self-destruct system.
 .
 This is a port of Digital Psychosis' 1994 game for the Acorn
 Archimedes.

Package: asylum-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Suggests:
 asylum
Description: surreal platform shooting game - data files
 This package contains data files required by the game Asylum.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)"

override_dh_auto_install-arch:
	$(MAKE) install-binary \
		INSTALLBIN=debian/asylum/usr/games/asylum \

override_dh_auto_install-indep:
	$(MAKE) install-resources \
		INSTALLRESOURCEPATH=debian/asylum-data/usr/share/games/asylum

override_dh_fixperms-arch:
	dh_fixperms
# Make asylum sgid games, needed to write high scores in /var/games/asylum/
	chown root:games debian/asylum/usr/games/asylum
	chmod g+s debian/asylum/usr/games/asylum

## asylum 1.0.1

=== DESCRIPTION ===
Package: asylum
Type: Package
Title: Data on Asylum and Resettlement for the UK
Version: 1.0.1
Authors@R: c(
    person(given = c("Matthew", "Gwynfryn"), 
           family = "Thomas", 
           email = "matthewgthomas@gmail.com", 
           role = c("cre", "aut")),
    person(given = "Mike", 
           family = "Page", 
           email = "mpage@redcross.org.uk", 
           role = "aut"),
    person(family = "British Red Cross", 
           role = "cph")
    )
Description: Data on Asylum and Resettlement for the UK,
    provided by the Home Office <https://www.gov.uk/government/statistics/immigration-statistics-year-ending-june-2021>.
License: MIT + file LICENSE
URL: https://github.com/britishredcrosssociety/asylum
BugReports: https://github.com/britishredcrosssociety/asylum/issues
Encoding: UTF-8
LazyData: true
Depends: R (>= 2.10)
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-09-02 16:00:55 UTC; 040026704
Author: Matthew Gwynfryn Thomas [cre, aut],
  Mike Page [aut],
  British Red Cross [cph]
Maintainer: Matthew Gwynfryn Thomas <matthewgthomas@gmail.com>
Repository: CRAN
Date/Publication: 2021-09-06 08:20:13 UTC

## asylum 1.0.2

=== DESCRIPTION ===
Package: asylum
Type: Package
Title: Data on Asylum and Resettlement for the UK
Version: 1.0.2
Authors@R: c(
    person(given = c("Matthew", "Gwynfryn"), 
           family = "Thomas", 
           email = "matthewgthomas@gmail.com", 
           role = c("cre", "aut")),
    person(given = "Mike", 
           family = "Page", 
           email = "mpage@redcross.org.uk", 
           role = "aut"),
    person(family = "British Red Cross", 
           role = "cph")
    )
Description: Data on Asylum and Resettlement for the UK,
    provided by the Home Office <https://www.gov.uk/government/statistics/immigration-statistics-year-ending-june-2022>.
License: MIT + file LICENSE
URL: https://github.com/britishredcrosssociety/asylum
BugReports: https://github.com/britishredcrosssociety/asylum/issues
Encoding: UTF-8
LazyData: true
Depends: R (>= 2.10)
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2022-09-10 11:44:13 UTC; mgt
Author: Matthew Gwynfryn Thomas [cre, aut],
  Mike Page [aut],
  British Red Cross [cph]
Maintainer: Matthew Gwynfryn Thomas <matthewgthomas@gmail.com>
Repository: CRAN
Date/Publication: 2022-09-10 11:52:54 UTC

## asylum 1.0.3

=== DESCRIPTION ===
Package: asylum
Type: Package
Title: Data on Asylum and Resettlement for the UK
Version: 1.0.3
Authors@R: c(
    person(given = c("Matthew", "Gwynfryn"), 
           family = "Thomas", 
           email = "matthewgthomas@gmail.com", 
           role = c("cre", "aut")),
    person(given = "Mike", 
           family = "Page", 
           email = "mpage@redcross.org.uk", 
           role = "aut"),
    person(family = "British Red Cross", 
           role = "cph")
    )
Description: Data on Asylum and Resettlement for the UK,
    provided by the Home Office <https://www.gov.uk/government/statistical-data-sets/immigration-system-statistics-data-tables-year-ending-december-2022>.
License: MIT + file LICENSE
URL: https://github.com/humaniverse/asylum
BugReports: https://github.com/humaniverse/asylum/issues
Encoding: UTF-8
LazyData: true
Depends: R (>= 2.10)
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-03-11 13:29:02 UTC; mgt
Author: Matthew Gwynfryn Thomas [cre, aut],
  Mike Page [aut],
  British Red Cross [cph]
Maintainer: Matthew Gwynfryn Thomas <matthewgthomas@gmail.com>
Repository: CRAN
Date/Publication: 2023-03-11 13:50:05 UTC

## asylum 1.1.0

=== DESCRIPTION ===
Package: asylum
Type: Package
Title: Data on Asylum and Resettlement for the UK
Version: 1.1.0
Authors@R: c(
    person(given = c("Matthew", "Gwynfryn"), 
           family = "Thomas", 
           email = "matthewgthomas@gmail.com", 
           role = c("cre", "aut")),
    person(given = "Mike", 
           family = "Page", 
           email = "mpage@redcross.org.uk", 
           role = "aut"),
    person(family = "British Red Cross", 
           role = "cph")
    )
Description: Data on Asylum and Resettlement for the UK,
    provided by the Home Office <https://www.gov.uk/government/statistical-data-sets/immigration-system-statistics-data-tables-year-ending-march-2023>.
License: MIT + file LICENSE
URL: https://github.com/humaniverse/asylum
BugReports: https://github.com/humaniverse/asylum/issues
Encoding: UTF-8
LazyData: true
Depends: R (>= 2.10)
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-05-31 15:59:29 UTC; 040026704
Author: Matthew Gwynfryn Thomas [cre, aut],
  Mike Page [aut],
  British Red Cross [cph]
Maintainer: Matthew Gwynfryn Thomas <matthewgthomas@gmail.com>
Repository: CRAN
Date/Publication: 2023-05-31 16:20:06 UTC

## asylum 1.1.1

=== DESCRIPTION ===
Package: asylum
Type: Package
Title: Data on Asylum and Resettlement for the UK
Version: 1.1.1
Authors@R: c(
    person(given = c("Matthew", "Gwynfryn"), 
           family = "Thomas", 
           email = "matthewgthomas@gmail.com", 
           role = c("cre", "aut")),
    person(given = "Mike", 
           family = "Page", 
           email = "mpage@redcross.org.uk", 
           role = "aut"),
    person(family = "British Red Cross", 
           role = "cph")
    )
Description: Data on Asylum and Resettlement for the UK,
    provided by the Home Office <https://www.gov.uk/government/statistical-data-sets/immigration-system-statistics-data-tables>.
License: MIT + file LICENSE
URL: https://github.com/humaniverse/asylum
BugReports: https://github.com/humaniverse/asylum/issues
Encoding: UTF-8
LazyData: true
Depends: R (>= 2.10)
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-08-24 14:01:08 UTC; 040026704
Author: Matthew Gwynfryn Thomas [cre, aut],
  Mike Page [aut],
  British Red Cross [cph]
Maintainer: Matthew Gwynfryn Thomas <matthewgthomas@gmail.com>
Repository: CRAN
Date/Publication: 2023-08-24 14:20:05 UTC

## asylum 1.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: asylum
 Type: Package
 Title: Data on Asylum and Resettlement for the UK
-Version: 1.1.1
+Version: 1.1.2
 Authors@R: c(
     person(given = c("Matthew", "Gwynfryn"), 
            family = "Thomas", 
@@ -24,10 +24,10 @@
 Depends: R (>= 2.10)
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-08-24 14:01:08 UTC; 040026704
+Packaged: 2023-12-19 17:01:51 UTC; 040026704
 Author: Matthew Gwynfryn Thomas [cre, aut],
   Mike Page [aut],
   British Red Cross [cph]
 Maintainer: Matthew Gwynfryn Thomas <matthewgthomas@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-08-24 14:20:05 UTC
+Date/Publication: 2023-12-19 17:50:02 UTC
